%define ocamlname zarith

Name:           ocaml-%{ocamlname}
Version:        1.7
Release:        1%{?dist}.emp1
Summary:        Operations over arbitrary-precision integers
License:        ISC
URL:            https://github.com/ocaml/Zarith
Source0:        Zarith-release-%{version}.tar.gz

Requires:  	ocaml
Requires:	perl-libs
Requires:	gmp

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  perl-libs
BuildRequires:  gmp-devel

%description
Implements arithmetic and logical operations over arbitrary-precision integers
The Zarith library implements arithmetic and logical operations over
arbitrary-precision integers. It uses GMP to efficiently implement
arithmetic over big integers. Small integers are represented as Caml
unboxed integers, for speed and space economy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	gmp-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n Zarith-release-%{version}

%build
./configure
make

%install
mkdir -p %{buildroot}/usr/lib64/ocaml/zarith
%makeinstall INSTALLDIR=%{buildroot}/usr/lib64/ocaml INSTMETH=install
echo %{ocamlname} > \
    %{buildroot}/%{_libdir}/ocaml/stublibs/dll%{ocamlname}_stubs.so.owner
cat > %{buildroot}/%{_libdir}/ocaml/%{ocamlname}/META << EOF
description = "Arbitrary precision integers"
requires = ""
version = "%{version}"
archive(byte) = "zarith.cma"
archive(native) = "zarith.cmxa"
EOF

%check
make tests

%files
%doc LICENSE
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc Changes README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
